The Community Forums

Interact with an entire community of cPanel & WHM users.
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

New PHP version released

Discussion in 'General Discussion' started by gallot, Dec 15, 2004.

  1. gallot

    gallot Active Member

    Joined:
    Oct 24, 2003
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I have not yet upgraded to the latest stable release, and would like to inquire if the latest PHP version will be integrated to it?

    http://www.php.net/

    Thanks.
     
  2. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    4.3.10 is in buildapache, but I wouldn't recommend installing it just now.
    Several scripts didn't work properly after trying 4.3.10, so I just went back to php 4.3.9 for now.
     
  3. gallot

    gallot Active Member

    Joined:
    Oct 24, 2003
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    Thanks for the info. What are the issues encountered with 4.3.10?

    Thanks.
     
  4. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    Well, I haven't investigated what caused the problems, as I switched back to 4.3.9 when I found out scripts were not working properly.

    A few of the issues I encountered were scripts giving this error : Fatal error: Call to undefined function

    and I noticed a problem with empty values in sessions, but this could be due to the fact that values in arrays turned out empty. Doesn't have to be related to sessions.

    I found a post from someone with similar experiences:

    http://groups-beta.google.com/group..._doneTitle=Back+to+Search&&d#fcd463cbb4c60c7b
     
  5. Sinewy

    Sinewy Well-Known Member

    Joined:
    May 15, 2004
    Messages:
    367
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Sydney, Australia
    cPanel Access Level:
    DataCenter Provider
    i can at this stage confirm it'll break squirrelmail.
     
  6. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    I haven't tried this yet but someone mentioned upgrading to ZendOptimizer version >= 2.5.7 might solve the issues.

    I noticed /script/installzendop still installs 2.1

    You can edit the script by replacing the zbid values

    For example this line installs 2.1

    Code:
             Linux        => 'http://www.zend.com/store/getfreefile.php?pid=13&zbid=
    816&iagree=1',
    
    To install 2.5.7 change the zbid value to 848

    Code:
             Linux        => 'http://www.zend.com/store/getfreefile.php?pid=13&zbid=
    848&iagree=1',
    
    Or install it manually:
    http://www.zend.com/store/free_download.php?pid=13
     
    #6 jamesbond, Dec 16, 2004
    Last edited: Dec 16, 2004
  7. damainman

    damainman Well-Known Member

    Joined:
    Nov 13, 2003
    Messages:
    515
    Likes Received:
    0
    Trophy Points:
    16
    I thought the zend installer from cpanel, always updated the latest one out? It has always done that for me, but I'm not sure what version I'm using now as its been awhile.
     
  8. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18

    Well you can easily check, just type this in shell

    Code:
    php -i | grep Optimizer
    
    You could also find the link in installzendopt and paste it in your browser, you'll then see what version is going to be downloaded.

    Anyway, my problems have been solved by upgrading Zend Optimizer to 2.5.7
     
  9. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    cPanelBilly was nice enough to release an updated /scripts/installzendopt for us all :) Just run /scripts/updatenow -v and make sure you pull the new version.
     
  10. sneader

    sneader Well-Known Member

    Joined:
    Aug 21, 2003
    Messages:
    1,126
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    La Crosse, WI
    cPanel Access Level:
    Root Administrator
    I ran scripts/updatenow -v
    and I got:

    Updating /scripts...receiving file list ... done
    ./
    installzendopt
    restartsrv_mysql
    upcp
    wrote 315 bytes read 9519 bytes 6556.00 bytes/sec
    total size is 1706772 speedup is 173.56
    Done


    Now what?
     
  11. sneader

    sneader Well-Known Member

    Joined:
    Aug 21, 2003
    Messages:
    1,126
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    La Crosse, WI
    cPanel Access Level:
    Root Administrator
    Well I was desperate, so I ran all the scripts that I downloaded above and sure enough, it solved my problem. I had two scripts (at least) that were broken, and now they are working.

    Thanks all!

    - Scott
     
  12. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    If you see my previous post, i mention which script needs to run: /scripts/installzendopt
     
  13. gator

    gator Active Member

    Joined:
    Feb 27, 2003
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    I upgraded to 4.3.10 today. And not I've downgraded back to 4.3.9. My Zend Optimizer was the latest version but we still had problems. We have several inhouse applications that behaved very strangely.

    The only difference I see from other configurations is that we use both mmcache and Zend Optimizer. I tried re-encoding the mmcache scripts but that didn't help. It appears to be the "foreach" command that is behaving differently.

    Anyone else get PHP 4.3.10, with the latest Turck mmcache, and Zend Optimizer working successfully?
     
  14. Jedia

    Jedia Well-Known Member

    Joined:
    Mar 18, 2004
    Messages:
    200
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    CN
    my box running PHP 4.3.10 and latest Turck mmcache, and Zend Optimizer works fine ;)
     
  15. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    Did you re-install MMcache ? Its really a necessity and can cause quite a few issues after a php upgrade. You should also make sure all the cached files are cleaned out.. memory and otherwise. Also take into consideration that MMcache hasn't been updated in.. AGES!! so you never know what conflicts might arise from the update in php. Its probably best to figure out why and what is causing the problems rather than resort to a more insecure setup.
     
  16. timdorr

    timdorr Well-Known Member
    PartnerNOC

    Joined:
    Jul 9, 2002
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Atlanta, GA

    They did perform some optimization in the foreach() loop, according to the release notes. What's the block of code look like that's causing the issue?
     
  17. encrypt2

    encrypt2 Member

    Joined:
    Sep 29, 2004
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    i have lastest zend optimizer and still 4.3.10 made some scripts have a weird behaviour, like ClientExec. The signup php was completely crazy and i saw an error about jpgraph inside clientexec. I did downgrade but i cant sleep well knowing the risk I am under 4.3.9.
     
  18. bornonline

    bornonline Well-Known Member

    Joined:
    Nov 19, 2004
    Messages:
    139
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Earth
    Just checked my CE install and also noticed signup.php won't even load after the upgrade.
     
  19. Sinewy

    Sinewy Well-Known Member

    Joined:
    May 15, 2004
    Messages:
    367
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Sydney, Australia
    cPanel Access Level:
    DataCenter Provider
    i can also confirm Clientexec breaks when you upgrade to 4.3.10
     
  20. timdorr

    timdorr Well-Known Member
    PartnerNOC

    Joined:
    Jul 9, 2002
    Messages:
    93
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Atlanta, GA
    There are no public exploits at this point, so don't worry too much.
     
Loading...

Share This Page